Package wx :: Package lib :: Package ogl :: Class RectangleShape

[frames | no frames]

## Type RectangleShape

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
                         RectangleShape

Known Subclasses:
  `BitmapShape`, `CompositeShape`, `ControlPoint`, `DividedShape`, `DrawnShape`, `LabelShape`, `TextShape`

The wxRectangleShape has rounded or square corners.

Derived from:
  Shape

Method Summary
| `__init__(self, w, h)`
| ``GetBoundingBoxMin`(self)` Get the minimum bounding box for the shape, that defines the area available for drawing the contents (such as text).
| ``GetCornerRadius`(self)` Get the radius of the rectangle's rounded corners.
| `GetHeight(self)`
| ``GetPerimeterPoint`(self, x1, y1, x2, y2)` Get the point at which the line from (x1, y1) to (x2, y2) hits the shape.
| `GetWidth(self)`
| `OnDraw(self, dc)`
| ``SetCornerRadius`(self, rad)` Set the radius of the rectangle's rounded corners.
| `SetHeight(self, h)`
| ``SetSize`(self, x, y, recursive)` Set the shape's size.
| `SetWidth(self, w)`

Class Variable Summary

Method Details

### GetBoundingBoxMin(self)

Get the minimum bounding box for the shape, that defines the area available for drawing the contents (such as text).

Must be overridden.

  Overrides:
    `wx.lib.ogl.Shape.GetBoundingBoxMin` (inherited documentation)

### GetCornerRadius(self)

Get the radius of the rectangle's rounded corners.

### GetPerimeterPoint(self, x1, y1, x2, y2)

Get the point at which the line from (x1, y1) to (x2, y2) hits the shape. Returns False if the line doesn't hit the perimeter.

  Overrides:
    `wx.lib.ogl.Shape.GetPerimeterPoint` (inherited documentation)

### SetCornerRadius(self, rad)

Set the radius of the rectangle's rounded corners.

If the radius is zero, a non-rounded rectangle will be drawn. If the radius is negative, the value is the proportion of the smaller dimension of the rectangle.

### SetSize(self, x, y, recursive=False)

Set the shape's size.

  Overrides:
    `wx.lib.ogl.Shape.SetSize` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:52 2007 | http://epydoc.sf.net